Name:		flickcurl
Version:	1.18
Release:	1
Summary:	C library for the Flickr API

Group:		System Environment/Libraries
License:	LGPLv2+ or GPLv2+ or ASL 2.0
URL:		http://librdf.org/%{name}/
Source0:	http://download.dajobe.org/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	libxml2-devel >= 2.6.31, curl-devel >= 7.19.6-2, raptor-devel
Requires:	libxml2 >= 2.6.31, curl >= 7.19.6-2, raptor

%description
Flickcurl is a C library for the Flickr API, handling creating the
requests, signing, token management, calling the API, marshalling
request parameters and decoding responses. It uses curl to call the
REST web service and libxml2 to manipulate the XML
responses. Flickcurl supports 100% of the 2009-04-04 version of the
API (see Flickcurl API coverage) including the functions for
photo/video uploading, browsing, searching, adding and editing
comments, groups, notes, photosets, categories, activity, blogs,
favorites, places, tags, machine tags, institutions, pandas and
photo/video metadata. It also includes a program flickrdf to turn
photo metadata, tags, machine tags and places into an RDF triples
description.


%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxml2-devel >= 2.6.31, curl-devel >= 7.19.6-2, raptor-devel
BuildRequires:	pkg-config

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp src/.libs/lib%{name}.so.0 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/lib%{name}.a ./lib%{name}.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING AUTHORS README NOTICE
%doc LICENSE-2.0.txt LICENSE.html COPYING.LIB
%doc coverage.html ChangeLog README.html NEWS.html
%{_bindir}/%{name}
%{_bindir}/flickrdf
%{_libdir}/*.la
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/flickrdf.1*
/usr/bin/%{name}
/usr/bin/flickrdf
/usr/lib/*.la


%files devel
%defattr(-,root,system,-)
%{_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_mandir}/man1/%{name}-config.1*
%{_datadir}/gtk-doc/html/*
/usr/bin/%{name}-config
/usr/include/*
/usr/lib/*.la


%changelog
* Tue Apr 27 2010 Michael Perzl <michael@perzl.org> - 1.18-1
- updated to version 1.18

* Mon Mar 08 2010 Michael Perzl <michael@perzl.org> - 1.17-1
- updated to version 1.17

* Thu Jan 14 2010 Michael Perzl <michael@perzl.org> - 1.16-1
- updated to version 1.16

* Tue Jan 12 2010 Michael Perzl <michael@perzl.org> - 1.15-1
- updated to version 1.15

* Tue Sep 22 2009 Michael Perzl <michael@perzl.org> - 1.14-1
- first version for AIX V5.1 and higher
